### Hierarchy

- BaseAPI
  - SmartContractsApi

### Implements

- SmartContractsApiInterface

## Index

### Constructors

- constructor

### Properties

- configuration

### Methods

- callReadOnlyFunction
- callReadOnlyFunctionRaw
- getContractById
- getContractByIdRaw
- getContractDataMapEntry
- getContractDataMapEntryRaw
- getContractEventsById
- getContractEventsByIdRaw
- getContractInterface
- getContractInterfaceRaw
- getContractSource
- getContractSourceRaw
- request
- withMiddleware
- withPostMiddleware
- withPreMiddleware

## Constructors

### constructor

- new SmartContractsApi(configuration?: Configuration ): SmartContractsApi

- Inherited from BaseAPI.constructor

  - Defined in src/generated/runtime.ts:25

  #### Parameters

  - ##### configuration: Configuration = ...

  #### Returns SmartContractsApi

## Properties

### Protected configuration

configuration: Configuration = ...

Inherited from BaseAPI.configuration

## Methods

### callReadOnlyFunction

- callReadOnlyFunction(requestParameters: CallReadOnlyFunctionRequest, initOverrides?: RequestInit): Promise< ReadOnlyFunctionSuccessResponse >

- Implementation of SmartContractsApiInterface.callReadOnlyFunction

  - Defined in src/generated/apis/SmartContractsApi.ts:251

  Call a read-only public function on a given smart contract. The smart contract and function are specified using the URL path. The arguments and the simulated tx-sender are supplied via the POST body in the following JSON format: Call read-only function

  #### Parameters

  - ##### requestParameters: CallReadOnlyFunctionRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ReadOnlyFunctionSuccessResponse >

### callReadOnlyFunctionRaw

- callReadOnlyFunctionRaw(requestParameters: CallReadOnlyFunctionRequest, initOverrides?: RequestInit): Promise< ApiResponse < ReadOnlyFunctionSuccessResponse >>

- Implementation of SmartContractsApiInterface.callReadOnlyFunctionRaw

  - Defined in src/generated/apis/SmartContractsApi.ts:209

  Call a read-only public function on a given smart contract. The smart contract and function are specified using the URL path. The arguments and the simulated tx-sender are supplied via the POST body in the following JSON format: Call read-only function

  #### Parameters

  - ##### requestParameters: CallReadOnlyFunctionRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < ReadOnlyFunctionSuccessResponse >>

### getContractById

- getContractById(requestParameters: GetContractByIdRequest, initOverrides?: RequestInit): Promise<object>

- Implementation of SmartContractsApiInterface.getContractById

  - Defined in src/generated/apis/SmartContractsApi.ts:287

  Get contract info using the contract ID Get contract info

  #### Parameters

  - ##### requestParameters: GetContractByIdRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise<object>

### getContractByIdRaw

- getContractByIdRaw(requestParameters: GetContractByIdRequest, initOverrides?: RequestInit): Promise< ApiResponse <object>>

- Implementation of SmartContractsApiInterface.getContractByIdRaw

  - Defined in src/generated/apis/SmartContractsApi.ts:260

  Get contract info using the contract ID Get contract info

  #### Parameters

  - ##### requestParameters: GetContractByIdRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse <object>>

### getContractDataMapEntry

- getContractDataMapEntry(requestParameters: GetContractDataMapEntryRequest, initOverrides?: RequestInit): Promise< MapEntryResponse >

- Implementation of SmartContractsApiInterface.getContractDataMapEntry

  - Defined in src/generated/apis/SmartContractsApi.ts:342

  Attempt to fetch data from a contract data map. The contract is identified with [Stacks Address] and [Contract Name] in the URL path. The map is identified with [Map Name]. The key to lookup in the map is supplied via the POST body. This should be supplied as the hex string serialization of the key (which should be a Clarity value). Note, this is a JSON string atom. In the response, `data` is the hex serialization of the map response. Note that map responses are Clarity option types, for non-existent values, this is a serialized none, and for all other responses, it is a serialized (some ...) object. Get specific data-map inside a contract

  #### Parameters

  - ##### requestParameters: GetContractDataMapEntryRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< MapEntryResponse >

### getContractDataMapEntryRaw

- getContractDataMapEntryRaw(requestParameters: GetContractDataMapEntryRequest, initOverrides?: RequestInit): Promise< ApiResponse < MapEntryResponse >>

- Implementation of SmartContractsApiInterface.getContractDataMapEntryRaw

  - Defined in src/generated/apis/SmartContractsApi.ts:296

  Attempt to fetch data from a contract data map. The contract is identified with [Stacks Address] and [Contract Name] in the URL path. The map is identified with [Map Name]. The key to lookup in the map is supplied via the POST body. This should be supplied as the hex string serialization of the key (which should be a Clarity value). Note, this is a JSON string atom. In the response, `data` is the hex serialization of the map response. Note that map responses are Clarity option types, for non-existent values, this is a serialized none, and for all other responses, it is a serialized (some ...) object. Get specific data-map inside a contract

  #### Parameters

  - ##### requestParameters: GetContractDataMapEntryRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < MapEntryResponse >>

### getContractEventsById

- getContractEventsById(requestParameters: GetContractEventsByIdRequest, initOverrides?: RequestInit): Promise<object>

- Implementation of SmartContractsApiInterface.getContractEventsById

  - Defined in src/generated/apis/SmartContractsApi.ts:386

  Get contract events using a contract ID Get contract events

  #### Parameters

  - ##### requestParameters: GetContractEventsByIdRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise<object>

### getContractEventsByIdRaw

- getContractEventsByIdRaw(requestParameters: GetContractEventsByIdRequest, initOverrides?: RequestInit): Promise< ApiResponse <object>>

- Implementation of SmartContractsApiInterface.getContractEventsByIdRaw

  - Defined in src/generated/apis/SmartContractsApi.ts:351

  Get contract events using a contract ID Get contract events

  #### Parameters

  - ##### requestParameters: GetContractEventsByIdRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse <object>>

### getContractInterface

- getContractInterface(requestParameters: GetContractInterfaceRequest, initOverrides?: RequestInit): Promise< ContractInterfaceResponse >

- Implementation of SmartContractsApiInterface.getContractInterface

  - Defined in src/generated/apis/SmartContractsApi.ts:426

  Get contract interface using a `contract_address` and `contract name` Get contract interface

  #### Parameters

  - ##### requestParameters: GetContractInterfaceRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ContractInterfaceResponse >

### getContractInterfaceRaw

- getContractInterfaceRaw(requestParameters: GetContractInterfaceRequest, initOverrides?: RequestInit): Promise< ApiResponse < ContractInterfaceResponse >>

- Implementation of SmartContractsApiInterface.getContractInterfaceRaw

  - Defined in src/generated/apis/SmartContractsApi.ts:395

  Get contract interface using a `contract_address` and `contract name` Get contract interface

  #### Parameters

  - ##### requestParameters: GetContractInterfaceRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < ContractInterfaceResponse >>

### getContractSource

- getContractSource(requestParameters: GetContractSourceRequest, initOverrides?: RequestInit): Promise< ContractSourceResponse >

- Implementation of SmartContractsApiInterface.getContractSource

  - Defined in src/generated/apis/SmartContractsApi.ts:470

  Returns the Clarity source code of a given contract, along with the block height it was published in, and the MARF proof for the data Get contract source

  #### Parameters

  - ##### requestParameters: GetContractSourceRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ContractSourceResponse >

### getContractSourceRaw

- getContractSourceRaw(requestParameters: GetContractSourceRequest, initOverrides?: RequestInit): Promise< ApiResponse < ContractSourceResponse >>

- Implementation of SmartContractsApiInterface.getContractSourceRaw

  - Defined in src/generated/apis/SmartContractsApi.ts:435

  Returns the Clarity source code of a given contract, along with the block height it was published in, and the MARF proof for the data Get contract source

  #### Parameters

  - ##### requestParameters: GetContractSourceRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < ContractSourceResponse >>

### Protected request

- request(context: RequestOpts, initOverrides?: RequestInit): Promise<Response>

- Inherited from BaseAPI.request

  - Defined in src/generated/runtime.ts:47

  #### Parameters

  - ##### context: RequestOpts

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise<Response>

### withMiddleware

- withMiddleware<T>(...middlewares: Middleware []): T

- Inherited from BaseAPI.withMiddleware

  - Defined in src/generated/runtime.ts:31

  #### Type parameters

  - #### T: BaseAPI <T>

  #### Parameters

  - ##### Rest ...middlewares: Middleware []

  #### Returns T

### withPostMiddleware

- withPostMiddleware<T>(...postMiddlewares: ((context: ResponseContext ) => Promise<void | Response>)[]): T

- Inherited from BaseAPI.withPostMiddleware

  - Defined in src/generated/runtime.ts:42

  #### Type parameters

  - #### T: BaseAPI <T>

  #### Parameters

  - ##### Rest ...postMiddlewares: ((context: ResponseContext ) => Promise<void | Response>)[]

  #### Returns T

### withPreMiddleware

- withPreMiddleware<T>(...preMiddlewares: ((context: RequestContext ) => Promise<void | FetchParams >)[]): T

- Inherited from BaseAPI.withPreMiddleware

  - Defined in src/generated/runtime.ts:37

  #### Type parameters

  - #### T: BaseAPI <T>

  #### Parameters

  - ##### Rest ...preMiddlewares: ((context: RequestContext ) => Promise<void | FetchParams >)[]

  #### Returns T

Generated using TypeDoc